Package com.io7m.idstore.user_client.api

# Interface IdUClientUsersType

All Known Subinterfaces:
  `IdUClientProtocolHandlerType`, `IdUClientType`

All Known Implementing Classes:
  `IdUClient`, `IdUClientProtocolHandler1`, `IdUClientProtocolHandlerAbstract`, `IdUClientProtocolHandlerDisconnected`

public interface IdUClientUsersType
Commands related to users.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `userEmailAddBegin(IdEmail email)`
  Start adding the given email address to the current user.
  `void`
  `userEmailAddDeny(IdToken token)`
  Reject a challenge that adds an email address to the given user.
  `void`
  `userEmailAddPermit(IdToken token)`
  Complete a challenge that adds an email address to the given user.
  `void`
  `userEmailRemoveBegin(IdEmail email)`
  Start removing the given email address to the current user.
  `void`
  `userEmailRemoveDeny(IdToken token)`
  Reject a challenge that removes an email address to the given user.
  `void`
  `userEmailRemovePermit(IdToken token)`
  Complete a challenge that removes an email address to the given user.
  `void`
  `userPasswordUpdate(String password, String passwordConfirm)`
  Update the user's password.
  `void`
  `userRealNameUpdate(IdRealName realName)`
  Update the user's realname.
  `IdUser`
  `userSelf()`
  Retrieve the current user profile.

- ## Method Details

  - ### userSelf

    IdUser userSelf() throws IdUClientException, InterruptedException
    Retrieve the current user profile.
    Returns:
      The current user
    Throws:
      `IdUClientException` - On errors
      `InterruptedException` - On interruption

  - ### userEmailAddBegin

    void userEmailAddBegin(IdEmail email) throws IdUClientException, InterruptedException
    Start adding the given email address to the current user.
    Parameters:
      `email` - The email address
    Throws:
      `IdUClientException` - On errors
      `InterruptedException` - On interruption

  - ### userEmailAddPermit

    void userEmailAddPermit(IdToken token) throws IdUClientException, InterruptedException
    Complete a challenge that adds an email address to the given user.
    Parameters:
      `token` - The challenge token
    Throws:
      `IdUClientException` - On errors
      `InterruptedException` - On interruption

  - ### userEmailAddDeny

    void userEmailAddDeny(IdToken token) throws IdUClientException, InterruptedException
    Reject a challenge that adds an email address to the given user.
    Parameters:
      `token` - The challenge token
    Throws:
      `IdUClientException` - On errors
      `InterruptedException` - On interruption

  - ### userEmailRemoveBegin

    void userEmailRemoveBegin(IdEmail email) throws IdUClientException, InterruptedException
    Start removing the given email address to the current user.
    Parameters:
      `email` - The email address
    Throws:
      `IdUClientException` - On errors
      `InterruptedException` - On interruption

  - ### userEmailRemovePermit

    void userEmailRemovePermit(IdToken token) throws IdUClientException, InterruptedException
    Complete a challenge that removes an email address to the given user.
    Parameters:
      `token` - The challenge token
    Throws:
      `IdUClientException` - On errors
      `InterruptedException` - On interruption

  - ### userEmailRemoveDeny

    void userEmailRemoveDeny(IdToken token) throws IdUClientException, InterruptedException
    Reject a challenge that removes an email address to the given user.
    Parameters:
      `token` - The challenge token
    Throws:
      `IdUClientException` - On errors
      `InterruptedException` - On interruption

  - ### userRealNameUpdate

    void userRealNameUpdate(IdRealName realName) throws IdUClientException, InterruptedException
    Update the user's realname.
    Parameters:
      `realName` - The new realname
    Throws:
      `IdUClientException` - On errors
      `InterruptedException` - On interruption

  - ### userPasswordUpdate

    void userPasswordUpdate(String password, String passwordConfirm) throws IdUClientException, InterruptedException
    Update the user's password.
    Parameters:
      `password` - The password
      `passwordConfirm` - The password confirmation
    Throws:
      `IdUClientException` - On errors
      `InterruptedException` - On interruption